petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCMGGetType

Determines the form of multigrid to use: multiplicative, additive, full, or the Kaskade algorithm.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCMGGetType(PC pc,PCMGType *type)

Logically Collective on PC

### Input Parameter

pc -the preconditioner context

### Output Parameter

type -one of PC_MG_MULTIPLICATIVE, PC_MG_ADDITIVE,PC_MG_FULL, PC_MG_KASKADE

### Keywords

MG, set, method, multiplicative, additive, full, Kaskade, multigrid

### See Also

PCMGSetLevels()

Level:advanced
Location:src/ksp/pc/impls/mg/mg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages